/****************************************************/
/* txt2bas                                          */
/* p6code6.h                                        */
/* 2001.07.09. by ishioka                           */
/* 2003.05.05. by ishioka                           */
/****************************************************/

enum {
	CODE_END = 0x81,
	CODE_FOR,
	CODE_NEXT,
	CODE_DATA,
	CODE_INPUT,
	CODE_DIM,
	CODE_READ,
	CODE_LET,
	CODE_GOTO,
	CODE_RUN,
	CODE_IF,
	CODE_RESTORE,
	CODE_GOSUB,
	CODE_RETURN,
	CODE_REM,
	CODE_STOP,
	CODE_PRINT,
	CODE_CLEAR,
	CODE_LIST,
	CODE_NEW,
	CODE_ON,
	CODE_WAIT,
	CODE_DEF,
	CODE_POKE,
	CODE_CONT,
	CODE_OUT,
	CODE_LPRINT,
	CODE_LLIST,
	CODE_CONSOLE,
	CODE_WIDTH,
	CODE_ELSE,
	CODE_TRON,
	CODE_TROFF,
	CODE_SWAP,
	CODE_ERASE,
	CODE_MENU,
	CODE_ERROR,
	CODE_RESUME,
	CODE_DELETE,
	CODE_AUTO,
	CODE_RENUM,
	CODE_DEFSTR,
	CODE_DEFINT,
	CODE_DEFSNG,
	CODE_DEFDBL,
	CODE_LINE,
	CODE_WHILE,
	CODE_WEND,
	CODE_EXEC,
	CODE_LFO,
	CODE_PLAY,
	CODE_BGM,
	CODE_SOUND,
	CODE_COMMON,
	CODE_CHAIN,
	CODE_CLOAD,
	CODE_CSAVE,
	CODE_DSKO,
	CODE_OPEN,
	CODE_FIELD,
	CODE_GET,
	CODE_PUT,
	CODE_SET,
	CODE_CLOSE,
	CODE_LOAD,
	CODE_MERGE,
	CODE_FILES,
	CODE_NAME,
	CODE_KILL,
	CODE_LSET,
	CODE_RSET,
	CODE_SAVE,
	CODE_LFILES,
	CODE_MON,
	CODE_COLOR,
	CODE_CIRCLE,
	CODE_LCOPY,
	CODE_CLS,
	CODE_PSET,
	CODE_PRESET,
	CODE_PAINT,
	CODE_TERM,
	CODE_SCREEN,
	CODE_BLOAD,
	CODE_BSAVE,
	CODE_LOCATE,
	CODE_BEEP,
	CODE_ROLL,
	CODE_PALET,
	CODE_TALK,
	CODE_KANJI,
	CODE_TO,
	CODE_THEN,
	CODE_TAB,
	CODE_STEP,
	CODE_USR,
	CODE_FN,
	CODE_SPC,
	CODE_NOT,
	CODE_ERL,
	CODE_ERR,
	CODE_STRING,
	CODE_USING,
	CODE_INSTR,
	CODE_QUOTE,
	CODE_VARPTR,
	CODE_ATTR,
	CODE_DSKI,
	CODE_SRQ,
	CODE_OFF,
	CODE_INKEY,
	CODE_GT,
	CODE_EQUAL,
	CODE_LT,
	CODE_PLUS,
	CODE_MINUS,
	CODE_ASTERISK,
	CODE_SLASH,
	CODE_CARET,
	CODE_AND,
	CODE_OR,
	CODE_XOR,
	CODE_EQV,
	CODE_IMP,
	CODE_MOD,
	CODE_YEN,
	CODE_LEFT = 0x81,
	CODE_RIGHT,
	CODE_MID,
	CODE_SGN,
	CODE_INT,
	CODE_ABS,
	CODE_SQR,
	CODE_RND,
	CODE_SIN,
	CODE_LOG,
	CODE_EXP,
	CODE_COS,
	CODE_TAN,
	CODE_ATN,
	CODE_FRE,
	CODE_INP,
	CODE_POS,
	CODE_LEN,
	CODE_STR,
	CODE_VAL,
	CODE_ASC,
	CODE_CHR,
	CODE_PEEK,
	CODE_SPACE,
	CODE_OCT,
	CODE_HEX,
	CODE_LPOS,
	CODE_CINT,
	CODE_CSNG,
	CODE_CDBL,
	CODE_FIX,
	CODE_CVI,
	CODE_CVS,
	CODE_CVD,
	CODE_EOF,
	CODE_LOC,
	CODE_LOF,
	CODE_FPOS,
	CODE_MKI,
	CODE_MKS,
	CODE_MKD,
	CODE_STICK,
	CODE_STRIG,
	CODE_PAD,
	CODE_GRP,
	CODE_DSKF = 0xD0,
	CODE_VIEW,
	CODE_WINDOW,
	CODE_POINT,
	CODE_CSRLIN,
	CODE_MAP,
	CODE_SEARCH,
	CODE_MOTOR,
	CODE_PEN,
	CODE_DATE,
	CODE_COM,
	CODE_KEY,
	CODE_TIME,
	CODE_CMD = 0xE4
};

p6code6 p6codelist6[] = {
	{ "'"		, 0, CODE_QUOTE		},
	{ "*"		, 0, CODE_ASTERISK	},
	{ "+"		, 0, CODE_PLUS		},
	{ "-"		, 0, CODE_MINUS		},
	{ "/"		, 0, CODE_SLASH		},
	{ "<"		, 0, CODE_LT		},
	{ "="		, 0, CODE_EQUAL		},
	{ ">"		, 0, CODE_GT		},
	{ "?"		, 0, CODE_PRINT		},
	{ "\\"		, 0, CODE_YEN		},
	{ "^"		, 0, CODE_CARET		},
	{ "ABS"		, 1, CODE_ABS		},
	{ "AND"		, 0, CODE_AND		},
	{ "ASC"		, 1, CODE_ASC		},
	{ "ATN"		, 1, CODE_ATN		},
	{ "ATTR$"	, 0, CODE_ATTR		},
	{ "AUTO"	, 0, CODE_AUTO		},
	{ "BEEP"	, 0, CODE_BEEP		},
	{ "BGM"		, 0, CODE_BGM		},
	{ "BLOAD"	, 0, CODE_BLOAD		},
	{ "BSAVE"	, 0, CODE_BSAVE		},
	{ "CDBL"	, 1, CODE_CDBL		},
	{ "CHAIN"	, 0, CODE_CHAIN		},
	{ "CHR$"	, 1, CODE_CHR		},
	{ "CINT"	, 1, CODE_CINT		},
	{ "CIRCLE"	, 0, CODE_CIRCLE	},
	{ "CLEAR"	, 0, CODE_CLEAR		},
	{ "CLOSE"	, 0, CODE_CLOSE		},
	{ "CLS"		, 0, CODE_CLS		},
	{ "CMD"		, 1, CODE_CMD		},
	{ "CLOAD"	, 0, CODE_CLOAD		},
	{ "COLOR"	, 0, CODE_COLOR		},
	{ "COMMON"	, 0, CODE_COMMON	}, // attention!
	{ "COM"		, 1, CODE_COM		}, // attention!
	{ "CONSOLE"	, 0, CODE_CONSOLE	},
	{ "CONT"	, 0, CODE_CONT		},
	{ "COS"		, 1, CODE_COS		},
	{ "CSAVE"	, 0, CODE_CSAVE		},
	{ "CSNG"	, 1, CODE_CSNG		},
	{ "CSRLIN"	, 1, CODE_CSRLIN	},
	{ "CVD"		, 1, CODE_CVD		},
	{ "CVI"		, 1, CODE_CVI		},
	{ "CVS"		, 1, CODE_CVS		},
	{ "DATA"	, 0, CODE_DATA		},
	{ "DATE$"	, 1, CODE_DATE		},
	{ "DEFDBL"	, 0, CODE_DEFDBL	}, // attention!
	{ "DEFINT"	, 0, CODE_DEFINT	},
	{ "DEFSNG"	, 0, CODE_DEFSNG	},
	{ "DEFSTR"	, 0, CODE_DEFSTR	},
	{ "DEF"		, 0, CODE_DEF		}, // attention!
	{ "DELETE"	, 0, CODE_DELETE	},
	{ "DIM"		, 0, CODE_DIM		},
	{ "DSKF"	, 1, CODE_DSKF		},
	{ "DSKI$"	, 0, CODE_DSKI		},
	{ "DSKO$"	, 0, CODE_DSKO		},
	{ "ELSE"	, 0, CODE_ELSE		},
	{ "END"		, 0, CODE_END		},
	{ "EOF"		, 1, CODE_EOF		},
	{ "EQV"		, 0, CODE_EQV		},
	{ "ERASE"	, 0, CODE_ERASE		},
	{ "ERL"		, 0, CODE_ERL		},
	{ "ERROR"	, 0, CODE_ERROR		}, // attention!
	{ "ERR"		, 0, CODE_ERR		}, // attention!
	{ "EXEC"	, 0, CODE_EXEC		},
	{ "EXP"		, 1, CODE_EXP		},
	{ "FIELD"	, 0, CODE_FIELD		},
	{ "FILES"	, 0, CODE_FILES		},
	{ "FIX"		, 1, CODE_FIX		},
	{ "FN"		, 0, CODE_FN		},
	{ "FOR"		, 0, CODE_FOR		},
	{ "FPOS"	, 1, CODE_FPOS		},
	{ "FRE"		, 1, CODE_FRE		},
	{ "GET"		, 0, CODE_GET		},
	{ "GO TO"	, 0, CODE_GOTO		},
	{ "GOSUB"	, 0, CODE_GOSUB		},
	{ "GOTO"	, 0, CODE_GOTO		},
	{ "GRP$"	, 1, CODE_GRP		},
	{ "HEX$"	, 1, CODE_HEX		},
	{ "IF"		, 0, CODE_IF		},
	{ "IMP"		, 0, CODE_IMP		},
	{ "INKEY$"	, 0, CODE_INKEY		},
	{ "INPUT"	, 0, CODE_INPUT		}, // attention!
	{ "INP"		, 1, CODE_INP		}, // attention!
	{ "INSTR"	, 0, CODE_INSTR		},
	{ "INT"		, 1, CODE_INT		},
	{ "KANJI"	, 0, CODE_KANJI		},
	{ "KEY"		, 1, CODE_KEY		},
	{ "KILL"	, 0, CODE_KILL		},
	{ "LCOPY"	, 0, CODE_LCOPY		},
	{ "LEFT$"	, 1, CODE_LEFT		},
	{ "LEN"		, 1, CODE_LEN		},
	{ "LET"		, 0, CODE_LET		},
	{ "LFILES"	, 0, CODE_LFILES	},
	{ "LFO"		, 0, CODE_LFO		},
	{ "LINE"	, 0, CODE_LINE		},
	{ "LIST"	, 0, CODE_LIST		},
	{ "LLIST"	, 0, CODE_LLIST		},
	{ "LOAD"	, 0, CODE_LOAD		},
	{ "LOCATE"	, 0, CODE_LOCATE	}, // attention!
	{ "LOC"		, 1, CODE_LOC		}, // attention!
	{ "LOF"		, 1, CODE_LOF		},
	{ "LOG"		, 1, CODE_LOG		},
	{ "LPOS"	, 1, CODE_LPOS		},
	{ "LPRINT"	, 0, CODE_LPRINT	},
	{ "LSET"	, 0, CODE_LSET		},
	{ "MAP"		, 1, CODE_MAP		},
	{ "MENU"	, 0, CODE_MENU		},
	{ "MERGE"	, 0, CODE_MERGE		},
	{ "MID$"	, 1, CODE_MID		},
	{ "MKD$"	, 1, CODE_MKD		},
	{ "MKI$"	, 1, CODE_MKI		},
	{ "MKS$"	, 1, CODE_MKS		},
	{ "MOD"		, 0, CODE_MOD		},
	{ "MON"		, 0, CODE_MON		},
	{ "MOTOR"	, 1, CODE_MOTOR		},
	{ "NAME"	, 0, CODE_NAME		},
	{ "NEW"		, 0, CODE_NEW		},
	{ "NEXT"	, 0, CODE_NEXT		},
	{ "NOT"		, 0, CODE_NOT		},
	{ "OCT$"	, 1, CODE_OCT		},
	{ "OFF"		, 0, CODE_OFF		},
	{ "ON"		, 0, CODE_ON		},
	{ "OPEN"	, 0, CODE_OPEN		},
	{ "OR"		, 0, CODE_OR		},
	{ "OUT"		, 0, CODE_OUT		},
	{ "PAD"		, 1, CODE_PAD		},
	{ "PAINT"	, 0, CODE_PAINT		},
	{ "PALET"	, 0, CODE_PALET		},
	{ "PEEK"	, 1, CODE_PEEK		},
	{ "PEN"		, 1, CODE_PEN		},
	{ "PLAY"	, 0, CODE_PLAY		},
	{ "POINT"	, 1, CODE_POINT		},
	{ "POKE"	, 0, CODE_POKE		},
	{ "POS"		, 1, CODE_POS		},
	{ "PRESET"	, 0, CODE_PRESET	},
	{ "PRINT"	, 0, CODE_PRINT		},
	{ "PSET"	, 0, CODE_PSET		},
	{ "PUT"		, 0, CODE_PUT		},
	{ "READ"	, 0, CODE_READ		},
	{ "REM"		, 0, CODE_REM		},
	{ "RENUM"	, 0, CODE_RENUM		},
	{ "RESTORE"	, 0, CODE_RESTORE	},
	{ "RESUME"	, 0, CODE_RESUME	},
	{ "RETURN"	, 0, CODE_RETURN	},
	{ "RIGHT$"	, 1, CODE_RIGHT		},
	{ "RND"		, 1, CODE_RND		},
	{ "ROLL"	, 0, CODE_ROLL		},
	{ "RSET"	, 0, CODE_RSET		},
	{ "RUN"		, 0, CODE_RUN		},
	{ "SAVE"	, 0, CODE_SAVE		},
	{ "SCREEN"	, 0, CODE_SCREEN	},
	{ "SEARCH"	, 1, CODE_SEARCH	},
	{ "SET"		, 0, CODE_SET		},
	{ "SGN"		, 1, CODE_SGN		},
	{ "SIN"		, 1, CODE_SIN		},
	{ "SOUND"	, 0, CODE_SOUND		},
	{ "SPACE$"	, 1, CODE_SPACE		},
	{ "SPC("	, 0, CODE_SPC		},
	{ "SQR"		, 1, CODE_SQR		},
	{ "SRQ"		, 0, CODE_SRQ		},
	{ "STEP"	, 0, CODE_STEP		},
	{ "STICK"	, 1, CODE_STICK		},
	{ "STOP"	, 0, CODE_STOP		},
	{ "STR$"	, 1, CODE_STR		},
	{ "STRIG"	, 1, CODE_STRIG		},
	{ "STRING$"	, 0, CODE_STRING	},
	{ "SWAP"	, 0, CODE_SWAP		},
	{ "TAB("	, 0, CODE_TAB		},
	{ "TALK"	, 0, CODE_TALK		},
	{ "TAN"		, 1, CODE_TAN		},
	{ "TERM"	, 0, CODE_TERM		},
	{ "THEN"	, 0, CODE_THEN		},
	{ "TIME"	, 1, CODE_TIME		},
	{ "TO"		, 0, CODE_TO		},
	{ "TROFF"	, 0, CODE_TROFF		},
	{ "TRON"	, 0, CODE_TRON		},
	{ "USING"	, 0, CODE_USING		},
	{ "USR"		, 0, CODE_USR		},
	{ "VAL"		, 1, CODE_VAL		},
	{ "VARPTR"	, 0, CODE_VARPTR	},
	{ "VIEW"	, 1, CODE_VIEW		},
	{ "WAIT"	, 0, CODE_WAIT		},
	{ "WEND"	, 0, CODE_WEND		},
	{ "WHILE"	, 0, CODE_WHILE		},
	{ "WIDTH"	, 0, CODE_WIDTH		},
	{ "WINDOW"	, 1, CODE_WINDOW	},
	{ "XOR"		, 0, CODE_XOR		},
};
